| LicenseSpring Management .Net SDK 1.15.0 Easily add Software Licensing to your application

Loading...
Searching...
No Matches
Public Member Functions | Properties | List of all members
LicenseSpring.InstallationFile Class Reference

Class that holds information about setup file of the app. More...

Inheritance diagram for LicenseSpring.InstallationFile:

## Public Member Functions
| InstallationFile ()
| InstallationFile default constructor.

## Properties
string | Channel`[get]`
| Channel from where this install file comes from.Using this field and corresponding field on the backend/platform you can organize getting install files from different channels. For example for separating production and dev./staging builds, organizing technology preview builds, etc.
DateTime | CreatedAt`[get]`
| Time when the installation file was created.
bool | Enabled`[get]`
| Indicates if the installation file is still enabled for usage.
string | Environment`[get]`
| Indicates for which Operation system this file is meant for.
string | EulaLink`[get]`
| Link to EULA.
string | Filename`[get]`
| Name of the installation file.
ulong | Id`[get]`
| 16 digit id of the installation file, can't be changed manually.
string | Md5Hash`[get]`
| MD5 hash of the setup file.
ulong | Product`[get]`
| 16 digit id of the product of the installation file.
string | ReleaseDate`[get]`
| Date of releasing the installation file.
string | ReleaseNotesLink`[get]`
| Link to release notes.
string | RequiresVersion`[get]`
| Application version that is required to install this app version.This functionality allows you implement intermediate updates.
string | Size`[get]`
| Installation file size in bytes.
DateTime | UpdatedAt`[get]`
| Time when it was last updated.
string | Url`[get]`
| Downloading URL.
string | Version`[get]`
| Application version.
Properties inherited from LicenseSpring.IInstallationFile

## Detailed Description

Class that holds information about setup file of the app.

Comes in handy for managing software updates.

See also `ILicenseManager.GetInstallationFile` and `ILicense.Check`

## Property Documentation

## ◆ Channel

string LicenseSpring.InstallationFile.Channel
| get

Channel from where this install file comes from.Using this field and corresponding field on the backend/platform you can organize getting install files from different channels. For example for separating production and dev./staging builds, organizing technology preview builds, etc.

Implements LicenseSpring.IInstallationFile.

## ◆ CreatedAt

DateTime LicenseSpring.InstallationFile.CreatedAt
| get

Time when the installation file was created.

Implements LicenseSpring.IInstallationFile.

## ◆ Enabled

bool LicenseSpring.InstallationFile.Enabled
| get

Indicates if the installation file is still enabled for usage.

Implements LicenseSpring.IInstallationFile.

## ◆ Environment

string LicenseSpring.InstallationFile.Environment
| get

Indicates for which Operation system this file is meant for.

Implements LicenseSpring.IInstallationFile.

## ◆ EulaLink

string LicenseSpring.InstallationFile.EulaLink
| get

Link to EULA.

Implements LicenseSpring.IInstallationFile.

## ◆ Filename

string LicenseSpring.InstallationFile.Filename
| get

Name of the installation file.

Implements LicenseSpring.IInstallationFile.

## ◆ Id

ulong LicenseSpring.InstallationFile.Id
| get

16 digit id of the installation file, can't be changed manually.

Implements LicenseSpring.IInstallationFile.

## ◆ Md5Hash

string LicenseSpring.InstallationFile.Md5Hash
| get

MD5 hash of the setup file.

Implements LicenseSpring.IInstallationFile.

## ◆ Product

ulong LicenseSpring.InstallationFile.Product
| get

16 digit id of the product of the installation file.

Implements LicenseSpring.IInstallationFile.

## ◆ ReleaseDate

string LicenseSpring.InstallationFile.ReleaseDate
| get

Date of releasing the installation file.

Implements LicenseSpring.IInstallationFile.

## ◆ ReleaseNotesLink

string LicenseSpring.InstallationFile.ReleaseNotesLink
| get

Link to release notes.

Implements LicenseSpring.IInstallationFile.

## ◆ RequiresVersion

string LicenseSpring.InstallationFile.RequiresVersion
| get

Application version that is required to install this app version.This functionality allows you implement intermediate updates.

Implements LicenseSpring.IInstallationFile.

## ◆ Size

string LicenseSpring.InstallationFile.Size
| get

Installation file size in bytes.

Implements LicenseSpring.IInstallationFile.

## ◆ UpdatedAt

DateTime LicenseSpring.InstallationFile.UpdatedAt
| get

Time when it was last updated.

Implements LicenseSpring.IInstallationFile.

## ◆ Url

string LicenseSpring.InstallationFile.Url
| get

Downloading URL.

Implements LicenseSpring.IInstallationFile.

## ◆ Version

string LicenseSpring.InstallationFile.Version
| get

Application version.

Implements LicenseSpring.IInstallationFile.

The documentation for this class was generated from the following file:

- InstallationFile.cs